info:
  name: Autorizzatori
  type: http
  seq: 1

http:
  method: GET
  url: "{{IdemApiUrl}}/autoriz_ap.php?id_ab=105846"
  params:
    - name: id_ab
      value: "186449"
      type: query
      disabled: true
    - name: id_ab
      value: "199930"
      type: query
      disabled: true
    - name: id_ab
      value: "186473"
      type: query
      disabled: true
    - name: id_ab
      value: "223161"
      type: query
      disabled: true
    - name: id_ab
      value: "106156"
      type: query
      disabled: true
    - name: id_ab
      value: "186471"
      type: query
      disabled: true
    - name: id_ab
      value: "105846"
      type: query
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Autorizzatori - Success
    request:
      url: "{{IdemApiUrl}}/autoriz_ap.php?id_ab=186471"
      method: GET
      params:
        - name: id_ab
          value: "186473"
          type: query
          description: Dipartimento di Ingegneria e Architettura
          disabled: true
        - name: id_ab
          value: "186469"
          type: query
          description: Dipartimento di Scienze Matematiche, Fisiche e Informatiche
          disabled: true
        - name: id_ab
          value: "22160"
          type: query
          disabled: true
        - name: id_ab
          value: "186471"
          type: query
          description: "Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale "
    response:
      statusText: "200"
      headers:
        - name: Date
          value: Tue, 03 Jun 2025 07:16:52 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "742"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: |-
          {
              "Cognome direttore": "CORRADINI",
              "Nome direttore": "Roberto",
              "Titolo direttore": "Prof.",
              "Codice fiscale direttore": "CRRRRT63T31H223A",
              "Email direttore": "roberto.corradini@unipr.it",
              "ID_AB direttore": "16044",
              "ID Struttura direttore": "186471",
              "Descrizione struttura direttore": "Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale ",
              "Cognome RAG": "RAMIGNI",
              "Nome RAG": "Michele",
              "Titolo RAG": "Dott.",
              "Codice fiscale RAG": "Michele",
              "Email responsabile scientifico": "michele.ramigni@unipr.it",
              "ID_AB responsabile scientifico": "15541",
              "ID Struttura responsabile scientifico": "186471",
              "Descrizione struttura responsabile scientifico": "Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale "
          }
  - name: Autorizzatori - Nessun direttore
    request:
      url: "{{IdemApiUrl}}/autoriz_ap.php?id_ab=22160"
      method: GET
      params:
        - name: id_ab
          value: "186473"
          type: query
          description: Dipartimento di Ingegneria e Architettura
          disabled: true
        - name: id_ab
          value: "186469"
          type: query
          description: Dipartimento di Scienze Matematiche, Fisiche e Informatiche
          disabled: true
        - name: id_ab
          value: "22160"
          type: query
        - name: id_ab
          value: "186471"
          type: query
          description: "Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale "
          disabled: true
    response:
      statusText: "200"
      headers:
        - name: Date
          value: Tue, 03 Jun 2025 07:30:24 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "29"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: |-
          {
              "errore": "Nessun direttore"
          }

docs: |
  ## Descrizione

  Il web service restituisce i seguenti dati relativi al Direttore e al RAG del Dipartimento oggetto della query.

  Input:

  - id_ab: il codice AB della struttura richiesta

  Output:

  - un JSON strutturato come nell'esempio seguente

  ```json
  {
    "Cognome direttore": "BETTATI",
    "Nome direttore": "Stefano",
    "Titolo direttore": "Prof.",
    "Codice fiscale direttore": "BTTSFN66L08G337Y",
    "Email direttore": "stefano.bettati@unipr.it",
    "ID_AB direttore": "18101",
    "ID Struttura direttore": "186474",
    "Descrizione struttura direttore": "Dipartimento di Medicina e Chirurgia",
    "Cognome RAG": "SCHIANCHI",
    "Nome RAG": "Pietro",
    "Titolo RAG": "Dott.",
    "Codice fiscale RAG": "Pietro",
    "Email responsabile scientifico": "pietro.schianchi@unipr.it",
    "ID_AB responsabile scientifico": "18095",
    "ID Struttura responsabile scientifico": "186474",
    "Descrizione struttura responsabile scientifico": "Dipartimento di Medicina e Chirurgia"
  }
  ```

  ## Elenco delle strutture

  | ID_AB  | CD_CSA | CD_NODO | DENOMINAZIONE                                                                 |
  | :----- | :----- | :------ | :---------------------------------------------------------------------------- |
  | 186449 | 106148 | 300800  | Dipartimento di Scienze Medico-Veterinarie                                    |
  | 186469 | 106150 | 300810  | Dipartimento di Scienze Matematiche, Fisiche e Informatiche                   |
  | 186470 | 106151 | 300820  | Dipartimento di Giurisprudenza, Studî Politici e Internazionali               |
  | 186471 | 106152 | 300830  | Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale |
  | 186472 | 106153 | 300840  | Dipartimento di Scienze Economiche e Aziendali                                |
  | 186473 | 106154 | 300850  | Dipartimento di Ingegneria e Architettura                                     |
  | 186474 | 106155 | 300860  | Dipartimento di Medicina e Chirurgia                                          |
  | 186475 | 106156 | 300870  | Dipartimento di Discipline Umanistiche, Sociali e delle Imprese Culturali     |
  | 186478 | 106157 | 300880  | Dipartimento di Scienze degli Alimenti e del Farmaco                          |
  | 259638 | 106277 | 300890  | Dipartimento di Ingegneria dei Sistemi e delle Tecnologie Industriali - DISTI |
